Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-2413

Upgrade vendored hiera-eyaml to version 3.0.0

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: puppet-agent 5.5.10, puppet-agent 6.0.5, puppet-agent 6.1.0
    • Fix Version/s: None
    • Component/s: puppet-runtime
    • Template:
    • Team:
      Night's Watch
    • Story Points:
      3
    • Sprint:
      PR - 2019-02-06, PR - 2019-02-20, PR - 2019-03-06
    • Method Found:
      Customer Feedback

      Description

      Hiera-eyaml 3.0.0 has been released with some new features and bug fixes. We should upgrade the vendored hiera-eyaml gem in Puppet agent from 2.1.0 to 3.0.0. 

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                sebastian.miclea Sebastian Miclea
                Reporter:
                jarret.lavallee Jarret Lavallee
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support